import { Injectable } from '@angular/core';
import { RPCService } from 'app/commons/service/rpc.service';

import { Member } from '../model/member';

@Injectable()
export class MemberService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public signin(email: string, password: string) {
    this.rpcService.call<Member>('MemberService.signin', email, password).subscribe(
      (member: Member) => {

      },
      (error: any) => {

      }
    );
  }
}
